<?
/*
 * Class: GalmetaPostPlugin_breadcrumb
 * Very simple plugin which creates a breadcrumb trail based on the url folder location.
 *
 */
class GalmetaPostPlugin_breadcrumb extends AbstractGalmetaPostPlugin {

    function GalmetaPostPlugin_breadcrumb( &$G )
    {
		$this->name = 'Breadcrumb';
		$this->version = '1.0';
		$this->description = 'Creates a linked breadcrumb trail.';
		$this->author = 'Bryan English <bryan@galmeta.com>';
		$this->link = 'http://galmeta.com/post/';
		$this->copyright = 'Copyright &copy; 2007 Galmeta LLC';

        $this->usage = array(
            'separator' => array(
                'default' => '',
                'description' => 'String to separate the breadcrumbs with. Defaults to &#187;'),
            'home' => array(
                'default' => 'Home',
                'description' => 'String to represent the root. Defaults to "Home".')
            );
            
        $this->AbstractGalmetaPostPlugin( $G );
    }

    /*
     * Method: run
     * Run the breadcrumb plugin. 
     *
     * Plugin Parameters:
     *  separator - String to separate the breadcrumbs with. Defaults to &#187;
     *  home - String to represent the root. Deafults to "Home"
     * 
     * Return:
     *  String - rendered content
     */
	function run( $param, &$resource ){
		
       $param = $this->getParameters( $param );
       	
	   if ( empty($param['separator']) )
       {
	      $param['separator'] = '&#187;';   
	   } 
       else 
       {
	      $param['separator'] = htmlspecialchars($param['separator']);
	   }
	
        $request =& $this->galmetapost->getRequest();
    
        $parts = explode( '/', $request->getVar('resource') );
        
        $path = '';
        for ( $cnt=0; $cnt < count($parts); $cnt++ )
        {
            $p = $parts[$cnt];
            $parts[$cnt] = '<a href="' . $this->galmetapost->getVar('url_prefix') .$path . $parts[$cnt] .'/">'. prettytext($parts[$cnt]) .'</a>';
            $path .= $p . '/';
        }
	
        $this->set('home',$param['home']);
        $this->set('separator',$param['separator']);
        $this->set('parts',$parts);
        $this->set('path',$path);         
        $this->set('url',$this->galmetapost->getVar('url'));
    
        return $this->renderTemplate();
    }
}
?>