<?
/**
 * Class: GalmetaPostPlugin_logout
 * The smallest Post plugin ever. Simply kills the session variable.
 */
class GalmetaPostPlugin_logout extends AbstractGalmetaPostPlugin 
{

    function GalmetaPostPlugin_logout( &$G ){

        $this->name = 'Logout';
        $this->version = '1.0';
        $this->author = 'Bryan English <bryan@galmeta.com>';
        $this->link = 'http://galmeta.com/post/';
        $this->copyright = 'Copyright &copy; 2007 Galmeta LLC';
        $this->usage = array(
            'success' => array(
              'default' => null,
              'description' => 'URL, page to redirect to on successful logout.')
            );

        parent::AbstractGalmetaPostPlugin( &$G );
    }

    function run( $params )
    {
        $params = $this->getParameters( $params );
        
        unset($_SESSION['username']);
        unset($_SESSION['access_tokens']);
        
        if ( $params['success'] )
        {
            $this->galmetapost->redirect( $params['success'] );
        }
        
        return '<div class="success">You have been logged out</div>';
    }

}

?>