<?
/*
 * Class: GalmetaPostPlugin_search
 * Displays a search field and returns search results
 */
class GalmetaPostPlugin_search extends AbstractGalmetaPostPlugin {

  function GalmetaPostPlugin_search( &$G ){
      $this->name = 'Search';
      $this->version = '1.0';
      $this->author = 'Bryan English <bryan@galmeta.com>';
      $this->link = 'http://galmeta.com/post/';
      $this->copyright = 'Copyright &copy; 2007 Galmeta LLC';
      $this->usage = array(
          'display' => array(
            'default' => 'both',
            'description' => 'What to display, [ both | results | form ].'),

          'versions' => array(
            'default' => false,
            'description' => 'Search through old resource versions'),

          'offset' => array(
            'default' => null,
            'description' => 'Offset'),

          'limit' => array(
              'default' => 30,
              'description' => 'Limits the list. '),
          
          'results' => array(
            'default' => null,
            'description' => 'Where to redirect and display the search results. Defaults to own page.')
          );
          
        parent::AbstractGalmetaPostPlugin( $G );
    }

    function run( $params ) 
    {
        $params = $this->getParameters( $params );

        $request = $this->galmetapost->getRequest();

        $params['results'] = pick( $params['results'], $request->getVar('resource') );

        $params['offset'] = intval($_GET['offset']?slash($_GET['offset']):$params['offset']);       

        $q = deslash($_POST['query']?$_POST['query']:($_GET['query']?urldecode($_GET['query']):''));

        if( $q != '' && ( $params['display'] == 'both' || $params['display'] == 'results' ))
        {
            $data = $this->galmetapost->call('findAllByContent',$q);
            $this->set( 'data', $data );
        }

        $this->set( 'total', ($data?count($data):0) );
        $this->set( 'query', $q );
        $this->set( 'params', $params );
        $this->set( 'urlPrefix', $this->galmetapost->getVar('url_prefix') );

        return $this->renderTemplate();
    }
}
?>