<?php

session_start();

define ( 'ADODB_FETCH_ASSOC', 2);
define ( 'QSTR', get_magic_quotes_gpc());
define ( 'HOOK_BREAK' , '__HOOK_BREAK' );
define ( 'HOOK_PARAMS' , '__HOOK_PARAMS' );
define ( 'VALID_GALMETAPOST_VIEWS', 'admin|ping|count|xml|new|editraw|edit|form|raw|v|history|only|rss|pod|rdf|atom|text|print' );
define ( 'VALID_PODCAST_EXTS', 'aac|ram|wma|mp3|m4a|ogg|pdf|mov' );
define ( 'VALID_AUDIO_EXTS', 'aac|ram|wma|mp3|m4a|ogg|mov' );
define ( 'PLUGIN_MARKUP_LEFT', '{:' );
define ( 'PLUGIN_MARKUP_RIGHT', '}' );

require_once('utilities.php');
require_once('_lib/adodb_lite/adodb.inc.php');

require_once('Hookable.php');
require_once('HookCondition.php');
require_once('GalmetaPostRequest.php');
require_once('GalmetaPostResource.php');
require_once('AbstractGalmetaPostPlugin.php');

if ( !file_exists('config.php') )
{
    require '_lib/install/pis.php';
    require '_lib/install/GalmetaPostInstaller.php';

    $installer = new GalmetaPostInstaller('Galmeta Post Installer');
    $content = $installer->run( true );
    $title = $installer->title;

    require '_lib/install/install.php';
    exit();
}

require 'config.php';

//connect to database//
$db = ADONewConnection( $GALMETAPOSTCONFIG['db_type'] );
//$db->debug = true;
if ( !$db->Connect($GALMETAPOSTCONFIG['db_host'],$GALMETAPOSTCONFIG['db_user'],$GALMETAPOSTCONFIG['db_pass'],$GALMETAPOSTCONFIG['db_name']))
{
    die("Unable to connect to the database using the provided username/password host. Please check the config.php for the correct credentials");
}

//create galmetapost objects//
$galmetapost =& new GalmetaPostRequest( $db, $GALMETAPOSTCONFIG );
$galmetapost->setRequest( new GalmetaPostResource( $galmetapost, $_SERVER['QUERY_STRING'] ) );

//check for http post//
if ( $_POST['do'] )
{
    $galmetapost->postDispatch( $_POST['do'] );
}  

$galmetapost->call('viewDispatch');

?>